<?
include 'config.php';
include 'func.php';
head();
ban();
aut();

echo head . 'Клад глубин морей' . div . katalog;
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'klad' WHERE `id` = '".$id_session."'");
####################################################
function img($msg){$img = '<img src="TDofS_images/' . $msg . '" alt="" /> ';return $img; };
function back($url){echo "</div><div class='menu_razd'><img src='TDofS_images/3.png' alt='' /> <a href='?mod=$url'>Назад</a></div>\n";return;};
function div($text){echo "<div class='menu_razd'>$text</div>\n";return;};
function preg($a, $metod, $n){
 if ( $n == 1 ) $nabor = 'a-zA-Z0-9_'; else $nabor = '0-9';
 if ( $metod == 'POST')
  If (!isset($_POST[$a]) || !preg_match("!^[" . $nabor . "]+$!i",$_POST[$a])) $result = false; else $result = $_POST[$a]; 
 else
  If (!isset($_GET[$a]) || !preg_match("!^[" . $nabor . "]+$!i",$_GET[$a])) $result = false; else $result = $_GET[$a];
return $result;
};

if (!isset($user)) {
div('Ошибка');
echo "Игра доступна только зарегестрированным пользователям! Зарегестрируйтесь или авторизуйтесь на сайте!</div>\n";
include_once 'sys/inc/tfoot.php';
exit;
}
$s = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_settings` WHERE `id` = '1' LIMIT 1"));
if ( mysql_num_rows ( mysql_query ("SELECT `login` FROM `TDofS_user` WHERE `login`='$user[login]'") )==1){
$info = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_user` WHERE `login`='$user[login]' LIMIT 1"));
} else {
mysql_query( "INSERT INTO `TDofS_user` SET 
`login` = '$user[login]',
`gold` = '$s[in_gold]',
`ship_points` = '$s[ship_points]',
`power_guns` = '$s[in_power_guns]',
`def` = '$s[in_def]',
`rate` = '$s[in_rate]',
`str` = '" . ($s['in_str'] * $s['lvl_num']) . "',
`str_max` = '$s[in_str]',
`roms_max` = '$s[in_roms]',
`time_go` = '" . time() . "',
`date` = '" . time() . "',
`date_last` = '" . time() . "' 
") or die(mysql_error());
$info = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_user` WHERE `login`='$user[login]' LIMIT 1"));
}
// Добовляем клады
if ( mysql_num_rows ( mysql_query ("SELECT * FROM `TDofS_treasure`") ) < 50){
$x = rand(1,99); $y = rand(1,99);
 if ( mysql_num_rows ( mysql_query ("SELECT * FROM `TDofS_treasure` WHERE `x` = '$x' and `y` = '$y'"))==0)
mysql_query( "INSERT INTO `TDofS_treasure` SET `x` = '$x', `y` = '$y', `kol` = '" . rand(30, 500) . "', `com` = '" . rand(1, 10) . "'");
}
// Добовляем пиратские коробли
if ( mysql_num_rows ( mysql_query ("SELECT * FROM `TDofS_pirat`") ) < 20){
$x = rand(1,99); $y = rand(1,99); $str = rand(3000,10000);
 if ( mysql_num_rows ( mysql_query ("SELECT * FROM `TDofS_pirat` WHERE `x` = '$x' and `y` = '$y'"))==0)
mysql_query( "INSERT INTO `TDofS_pirat` SET `x` = '$x', `y` = '$y', `str` = '$str', `str_max` = '$str', `power_guns` = '" . rand(100, 500) . "'");
}

mysql_query( "UPDATE `TDofS_user` SET `date_last` = '" . time() . "' WHERE `login` = '$info[login]' LIMIT 1");
$mod = preg('mod', 'GET', 1);

if ( $info['x'] != 30 || $info['y'] != 28 ) 
if ( $mod != "my_ship" AND $mod != "liaders" AND $mod != "stat" AND $mod != "about_game" AND $mod != "online" ) $mod = '';

switch ($mod) {

case 'my_ship':
div('Мой корабль');
echo "Уровень капитана: <b>$info[lvl]</b><br />\n
Опыт: <b>$info[exp]</b>/<b>" . ( $info['lvl'] * 3 * $s['exp_lvl'] ) . "</b><br />\n
Боевой опыт: <b>$info[war_exp]</b><br />\n
<b>Характеристики коробля</b><br />\n
Прочность: <b>$info[str]</b>/<b>" . ($info['str_max'] * $s['lvl_num']) . "</b> <br />\n
Мощность пушек: <b>" . ($info['power_guns'] * $s['lvl_num']) . "</b> <br />\n
Защита: <b>" . ($info['def'] * $s['lvl_num']) . "</b> <br />\n
Скорость: <b>$info[rate]</b> <br />\n
Вместительность: <b>$info[roms]</b>/<b>" . ($info['roms_max'] * $s['lvl_num']) . "</b> <br />\n
Кран: <b>$info[crane]</b> ур. <br />\n
<b>Навыки капитана</b><br />\n
Торговля: <b>$info[trade]</b> <br />\n
Удача: <b>$info[luck]</b> <br />\n
Атака <b>$info[attack]</b> <br />\n
Защита: <b>$info[defense]</b> <br />\n
";

back('');
break;

case 'online':
div('Онлайн: ' . mysql_num_rows ( mysql_query ("SELECT * FROM user WHERE url = '/TDofS.php' AND date_last > '" .(time()-600). "'") ));
$user = mysql_query ("SELECT * FROM `user` WHERE `url` = '/TDofS.php' AND date_last > '" .(time()-600). "'");
while ( $user_info = mysql_fetch_array ( $user ) ) {
$info_user = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_user` WHERE `login`='$user_info[nick]' LIMIT 1"));
echo $user_info['nick'] . " уровень $info_user[lvl]<br />\n";
}
back('');
break;

case 'about_game':
div('Об игре');
echo "Название: <b>Клад глубин морей</b><br />\n
Разработчик: <b>Klesh</b> ICQ: 419 502 384<br />\n
Помощь по игре: <br />\n
<b>За что дают опыт?</b> <br />\n
Опыт дается за найденные сокровища. <br />\n
<b>Что такое шанс на сокровище?</b> <br />\n
Это шанс на то что в локации где вы находитесь может быть сокровище, но шанс может быть и очень высоким а сокровища там не оказаться и наоборот. <br />\n
<b>Что происходит при нажатии Искать сокровища?</b> <br />\n
Сначала проверяют если там сокровище, если оно там есть то пытаются поднять его. Поднимете вы его или нет зависит от прокачки навыка Кран. Далее загружается найденные клад в трюмы. ВНИМАНИЕ не все сокровище может поместиться из за отсутствия места в трюмах. <br />\n
<b>Зачем нужен уровень?</b> <br />\n
За каждый уровень вам будет даваться очки умения - <b>2</b> и очки улучшения - <b>$s[ship_points]</b>. <br />\n
<b>От чего зависит скорость корабля?</b> <br />\n
Скорость корабля напрямую зависит от характеристика Скорость. Расчет скорости: 10 – навык скорости = время преодолении локации. <br />\n
<b>Зачем нужен кран?</b> <br />\n
От уровня крана зависит сможете ли вы поднять найденное сокровище или нет. <br />\n
<b>Зачем навык торговли?</b> <br />\n
От навыка торговли зависит цена продажи найденного клада торговцам. <br />\n
<b>Зачем навык удача?</b> <br />\n
Удача влияет на точность шанса на сокровища и на шанс его поднятия. <br />\n
<b>Где повысить навыки капитану?</b> <br />\n
В таверне обратитесь к старому пирату. <br />\n
<b>Где улучшить характеристика кабаля?</b> <br />\n
В гавани. <br />\n
<b>Где можно продать найденные сокровища?</b> <br />\n
В капитолии. <br />\n
<b>Зачем нужны пиратские коробли?</b> <br />\n
Воюя с пиратами вы набираетесь боевым опытом и при затоплении пиратского судна получаете медальон капитана.<br />\n
<b>Зачем нужен боевой опыт?</b> <br />\n
Боевой опыт напрямую влияет на шансы на победу наарене.<br />\n
<b>Зачем нужены медальоны капитанов?</b> <br />\n
Их можно обменять на различные бонусы в Антикварной лавке которая находится в капитолии и за них можно повысить боевые навыки своего капитана у тренера на арене.<br />\n
<b>Кто побеждает на арене?</b> <br />\n
На победу влияет боевой опыт, защита и атака капитана и немножко удачи.<br />\n
";
back('');
break;

case 'stat':
div('Статистика');
echo "Всего игроков: <b>" . mysql_num_rows ( mysql_query( " SELECT `id` FROM `TDofS_user` " ) ) . "</b><br />
Максимальный онлайн в игре: <b>$s[max_online]</b> человек<br />";
back('');
break;

case 'liaders':
div('Лидеры');
echo "Самый богатый:<br />\n";
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `TDofS_user` WHERE `gold` = (SELECT MAX(gold) FROM `TDofS_user` LIMIT 1)"));
echo "<b>$user[login]</b>: $user[gold] золота<br />\n";
echo "Самый опытный:<br />\n";
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `TDofS_user` WHERE `exp` = (SELECT MAX(exp) FROM `TDofS_user` LIMIT 1)"));
echo "<b>$user[login]</b>: $user[exp] опыта<br />\n";
echo "Самый опытны в бою:<br />\n";
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `TDofS_user` WHERE `war_exp` = (SELECT MAX(war_exp) FROM `TDofS_user` LIMIT 1)"));
echo "<b>$user[login]</b>: $user[war_exp] боевого опыта<br />\n";
echo "Охотник за пиратами:<br />\n";
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `TDofS_user` WHERE `kill_pirat` = (SELECT MAX(kill_pirat) FROM `TDofS_user` LIMIT 1)"));
echo "<b>$user[login]</b>: $user[kill_pirat] потопил пиратских кораблей<br />\n";
back('');
break;

case 'old_pirate':
div('Таверна - старый пират');

if ( isset($_GET['skill'])AND( $_GET['skill'] == 'trade' || $_GET['skill'] == 'luck' || $_GET['skill'] == 'attack' || $_GET['skill'] == 'defense' ) ) {
 if ( $info['skill_points'] > 0 ) {
 
 if ( $_GET['skill'] == 'trade' AND $info['trade'] >= $s['max_trade'] ) {
   echo "Навык <b>торговли</b> уже максимальный!<br />\n"; } else {
    if ( $_GET['skill'] == 'luck' AND $info['luck'] >= $s['max_luck'] ) {
     echo "Навык <b>удача</b> уже максимальный!<br />\n"; } else {
   
   mysql_query( "UPDATE `TDofS_user` SET `$_GET[skill]` = `$_GET[skill]` + 1, `skill_points` = `skill_points` - 1 WHERE `login` = '$info[login]'");
   $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_user` WHERE `login`='$user[nick]' LIMIT 1"));
   echo "Вы успешно повысили навык <b>"; if ( $_GET['skill'] == 'trade' ) echo "Торговля"; elseif ( $_GET['skill'] == 'luck' ) echo "Удача"; elseif (  $_GET['skill'] == 'attack') echo "Атака"; else echo "Защита"; echo "</b><br />\n";
   }
  }  
 } else echo "У вас нет очков умения!<br />\n";
echo "=====<br />\n";
}

echo "За каждый уровень ты получаеш очко таланта за которые я тебя могу обучить некоторым навыкам.<br />\n
Очков умения: <b>$info[skill_points]</b><br />\n
Торговля: <b>$info[trade]</b> [<a href='?mod=old_pirate&amp;skill=trade'>+</a>]<br />\n 
Удача: <b>$info[luck]</b> [<a href='?mod=old_pirate&amp;skill=luck'>+</a>]<br />\n
Атака: <b>$info[attack]</b> [<a href='?mod=old_pirate&amp;skill=attack'>+</a>]<br />\n 
Защита: <b>$info[defense]</b> [<a href='?mod=old_pirate&amp;skill=defense'>+</a>]<br />\n ";
back('tavern');
break;

case 'thimble':
div('Таверна');
echo "Игра в наперстки<br />\n";
if (isset($_GET['go']) AND $_GET['go'] == ''){
$kol = preg('kol', 'POST', 0);
$t = preg('t', 'POST', 0);
if (  $info['gold'] >= $kol ) {
 if ( $kol != false AND $t != false ) {
  $p = rand(1,3);
  if ( $t == $p ) {
   echo "<b>Вы угодали и выйграли $kol золота.</b><br />\n";
   mysql_query( "UPDATE `TDofS_user` SET `gold` = `gold` + '$kol' WHERE `login` = '$info[login]' LIMIT 1");
  } else {
   echo "<b>Вы не угодали и проиграли $kol золота.</b><br />\n";
   mysql_query( "UPDATE `TDofS_user` SET `gold` = `gold` - '$kol' WHERE `login` = '$info[login]' LIMIT 1");
  }
  } else echo "<b>Не верная ставка.</b><br />\n";
 } else echo "<b>У вас нет такова количества золота.</b><br />\n";
$info = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_user` WHERE `login`='$user[nick]' LIMIT 1"));
}
echo "У вас <b>$info[gold]</b> золота<br />\n
<form action='?mod=thimble&amp;go' method='post'>
Ставка:<br />\n
<input type='text' name='kol' maxlength='30' /><br />\n
<input type='radio' name='t' value='1' checked='checked' />Левый<br />\n 
<input type='radio' name='t' value='2' />Средний<br />\n
<input type='radio' name='t' value='3' />Правый<br />\n
<input type='submit' value='Играть' /></form>";
back('tavern');
break;

case 'kosti':
div('Таверна');
echo "Игра в кости.<br />\n
У вас <b>$info[gold]</b> золота.<br />\n";
if (isset($_GET['go']) AND $_GET['go'] == ''){
 $t = preg('t', 'POST', 0);
 echo "<b>Результат игры:</b><br />\n";
 $p = rand(1,6) + rand(1,6);
 $k = rand(1,6) + rand(1,6);
 if ( $p > $k ) {
  echo "У вас <b>$p</b> очков у соперника <b>$k</b> очков.<br />\n Вы победили! Ваш выйгрыш <b>$t</b> золотых.<br />\n";
  mysql_query( "UPDATE `TDofS_user` SET `gold` = `gold` + '$t' WHERE `login` = '$info[login]' LIMIT 1");
 } elseif ( $p < $k ) {
  echo "У вас <b>$p</b> очков у соперника <b>$k</b> очков.<br />\n Вы проиграли! Вы проиграли <b>$t</b> золотых.<br />\n";
  mysql_query( "UPDATE `TDofS_user` SET `gold` = `gold` - '$t' WHERE `login` = '$info[login]' LIMIT 1");
 } else echo "У вас <b>$p</b> очков у соперника <b>$k</b> очков.<br />\n Ничья<br />\n";
}
echo "<form action='$u;mod=kosti&amp;go' method='post'>
Играть на:<br />\n
<input type='radio' name='t' value='10' checked='checked' />10 золотых<br />\n 
<input type='radio' name='t' value='30' />30 золотых<br />\n
<input type='radio' name='t' value='100' />100 золотых<br />\n
<input type='submit' value='Играть' /></form>";
back('tavern');
break;

case 'tavern':
div('Таверна');
echo "<a href='?mod=old_pirate'>Старый пират</a><br />\n
<a href='?mod=thimble'>Играть в наперстки</a><br />\n
<a href='?mod=kosti'>Играть в кости</a><br />\n";
back('');
break;

case 'rep_ship_2':
div('Гавань');
$gold = floor( ($info['str_max'] - $info['str']) / $s['gold_rep'] );
if ( $info['gold'] >= $gold ) { 
 echo "Ремонт коробля.<br />\n
 Вы успешно отремонтировали свой корабль за <b>$gold</b> золотых.";
 mysql_query( "UPDATE `TDofS_user` SET `gold` = `gold` - '$gold', `str` = '$info[str_max]' WHERE `login` = '$info[login]' LIMIT 1");
} else echo "Нехвотает <b>" . ( $gold - $info['gold'] ) . "</b> золотых.<br />\n";
back('port');
break;

case 'rep_ship':
div('Гавань');
$gold = floor( ($info['str_max']  * $s['lvl_num'] - $info['str']) / $s['gold_rep'] );
echo "Ремонт коробля.<br />\n
Максимальная прочность: <b>" . ( $info['str_max']  * $s['lvl_num'] ) . "</b><br />\n
Текущая прочность: <b>$info[str]</b><br />\n
Стоимость ремонта: <b>$gold</b> золотых.<br />\n";
if ( $info['gold'] >= $gold ) echo "<a href='?mod=rep_ship_2'>Ремонтировать</a><br />\n"; else echo "Нехвотает <b>" . ( $gold - $info['gold'] ) . "</b> золотых.<br />\n";
back('port');
break;

case 'imp_ship':
div('Гавань');
echo "Улучшение коробля.<br />\n";
 $skill = preg('skill', 'GET', 1);
 $array = array('str_max', 'power_guns', 'def', 'rate', 'roms_max', 'crane');
 if ( in_array($skill, $array) ){
  if ( $info['ship_points'] >= $s['p_'.$skill] ){
   mysql_query( "UPDATE `TDofS_user` SET `ship_points` = `ship_points` - " . $s['p_'.$skill] . ", `$skill` = $info[$skill] + 1 WHERE `login` = '$info[login]' LIMIT 1");
   echo "<b>Вы упешно провели улучшение!</b><br />\n";
   $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_user` WHERE `login`='$user[nick]' LIMIT 1"));
  } else echo "<b>Недостаточно очков для улучшения!</b><br />\n";
 }
echo "Очков улучшения: $info[ship_points] <br />\n
Прочность: <b>" . ($info['str_max'] * $s['lvl_num']) . "</b> [<a href='?mod=imp_ship&amp;skill=str_max'>+</a>] $s[p_str_max] очков<br />\n
Мощность пушек: <b>" . ($info['power_guns'] * $s['lvl_num']) . "</b> [<a href='?mod=imp_ship&amp;skill=power_guns'>+</a>] $s[p_power_guns] очков <br />\n
Защита: <b>" . ($info['def'] * $s['lvl_num']) . "</b> [<a href='?mod=imp_ship&amp;skill=def'>+</a>] $s[p_def] очков <br />\n
Скорость: <b>$info[rate]</b> [<a href='?mod=imp_ship&amp;skill=rate'>+</a>] $s[p_rate] очков <br />\n
Вместительность: <b>" . ($info['roms_max'] * $s['lvl_num']) . "</b> [<a href='?mod=imp_ship&amp;skill=roms_max'>+</a>] $s[p_roms_max] очков <br />\n
Кран: <b>$info[crane]</b> ур. [<a href='?mod=imp_ship&amp;skill=crane'>+</a>] $s[p_crane] очков <br />\n
";
back('port');
break;

case 'port':
div('Гавань');
echo "<a href='?mod=imp_ship'>Улучшение коробля</a><br />\n
<a href='?mod=rep_ship'>Ремонт коробля</a><br />\n
";
back('');
break;

case 'kap_2':
div('Капитолий');
$kol = preg('kol', 'POST', 0);
echo 'Результат:<br />';
if ( $kol != false AND $kol != 0 ) {
  if ( $user['balls'] >= $kol * $s['balls_gold'] ){
    echo "Вы успешно обменяли <b>" . ($kol * $s['balls_gold']) . "</b> баллов на <b>$kol</b> золотых<br />\n";
    mysql_query( "UPDATE `TDofS_user` SET `gold` = `gold` + '$kol' WHERE `login` = '$user[nick]' LIMIT 1");
    mysql_query( "UPDATE `user` SET `balls` = `balls` - " . ($kol * $s['balls_gold']) . " WHERE `nick` = '$user[nick]' LIMIT 1");
  } else echo "У вас нет столько баллов. Нехвотает " . ($kol * $s['balls_gold'] - $user['balls']) . " баллов.<br />\n";
} else echo "Не верное количество.<br />\n";
back('kap_1');
break;

case 'kap_1':
div('Капитолий');
echo "
У вас <b>$user[balls]</b> баллов.<br />\n
Курс:<br />\n
Золотая монета = <b>$s[balls_gold]</b> баллов.<br />\n
<form action='?mod=kap_2' method='post'>
Кол. золотых: (Max " . floor( $user['balls'] / $s['balls_gold'] ) . ")<br />\n
<input type='text' name='kol' maxlength='30' /><br />\n
<input type='submit' value='Обменять' /></form><br />\n";
back('kap');
break;

case 'sale_trea':
div('Капитолий');
if ( isset($_GET['go']) AND $info['roms'] > 0 ){
 $gold = floor($info['roms'] + ($info['roms'] / 50 * $info['trade']));
 echo "<b>Вы успешно продали все за $gold золотых!</b><br />\n";
 mysql_query( "UPDATE `TDofS_user` SET `gold` = `gold` + '$gold', `roms` = 0 WHERE `login` = '$user[nick]' LIMIT 1");
 $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_user` WHERE `login`='$user[nick]' LIMIT 1"));
}
echo "У вас <b>$info[roms]</b> сокровищ.<br />\n
За все торговец вам предлогает <b>" . floor($info['roms'] + ($info['roms'] / 50 * $info['trade'])) . "</b> золота.<br />\n";
if ( $info['roms'] > 0 ) echo "<a href='?mod=sale_trea&amp;go'>Продать все</a> <br />\n";
back('kap');
break;

case 'antik_shop':
div('Антикварная лавка');
echo "<b>Хозяин:</b> Я могу предложить тебе за медальоны капитанов как материальную награду так и немножко обучить.<br />\n";
 if ( isset($_GET['go']) and $info['token'] > 0 ){
  $t = preg('t', 'POST', 0);
  if ( $t == 1 ){ echo "<b>Вы успешно обменяли жетон капитана на баллы сайта: $s[a_s_balls].</b><br />\n";
   mysql_query( "UPDATE `TDofS_user` SET `token` = `token` - 1 WHERE `login` = '$info[login]' LIMIT 1");
   mysql_query( "UPDATE `user` SET `balls` = `balls` + '$s[a_s_balls]' WHERE `nick` = '$user[nick]' LIMIT 1");
  }elseif ( $t == 2 ){ echo "<b>Вы успешно обменяли жетон капитана на золото: $s[a_s_gold].</b><br />\n";
   mysql_query( "UPDATE `TDofS_user` SET `token` = `token` - 1, `gold` = `gold` + '$s[a_s_gold]' WHERE `login` = '$info[login]' LIMIT 1");
  }elseif ( $t == 3 ){ echo "<b>Вы успешно обменяли жетон капитана на опыт: $s[a_s_exp].</b><br />\n";
   mysql_query( "UPDATE `TDofS_user` SET `token` = `token` - 1, `exp` = `exp` + '$s[a_s_exp]' WHERE `login` = '$info[login]' LIMIT 1");
  }elseif ( $t == 4 ){ echo "<b>Вы успешно обменяли жетон капитана на боевой опыт: $s[a_s_war_exp].</b><br />\n";
   mysql_query( "UPDATE `TDofS_user` SET `token` = `token` - 1, `war_exp` = `war_exp` + '$s[a_s_war_exp]' WHERE `login` = '$info[login]' LIMIT 1");
  }else echo "<b>Неверный формат обмена!</b><br />\n";
  $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_user` WHERE `login`='$user[nick]' LIMIT 1"));
 }
echo "У вас жетонов: <b>$info[token]</b> шт.<br />\n
<form action='?mod=antik_shop&amp;go' method='post'>
Обменять жетон на: <br />\n
<input type='radio' name='t' value='1' checked='checked' />Баллы сайта (<b>$s[a_s_balls]</b>)<br /> \n
<input type='radio' name='t' value='2' />Золото (<b>$s[a_s_gold]</b>)<br />\n
<input type='radio' name='t' value='3' />Опыт (<b>$s[a_s_exp]</b>)<br />\n
<input type='radio' name='t' value='4' />Боевой опыт (<b>$s[a_s_war_exp]</b>)<br />\n";
if ( $info['token'] > 0 ) echo "<input type='submit' value='Обменять' />";
echo "</form><br />\n";
back('kap');
break;

case 'kap':
div('Капитолий');
echo "<a href='?mod=kap_1'>Обменный пункт</a> <br />\n
<a href='?mod=sale_trea'>Продажа сокровищ</a> <br />\n
<a href='?mod=antik_shop'>Антикварная лавка</a> <br />\n";
back('');
break;

case 'arena_6':
div('Арена - бой');
if ( $info['lvl'] < 5 ){
 echo "Арена доступна с пятого уровня!<br />\n";
}else{
$id = preg('id', 'GET', 0);
if (mysql_num_rows ( mysql_query ("SELECT * FROM `TDofS_duel` WHERE `id` = '$id'"))){
 $duel = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_duel` WHERE `id` = '$id' LIMIT 1"));
 if ( $info['login'] != $duel['login'] ){
  $info_u = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_user` WHERE `login` = '$duel[login]' LIMIT 1"));
 
  $war_1 = $info['war_exp'] / 30 * ($info['a_attack'] / 5) + ($info['a_def']*4);
  $war_1 = rand($war_1 / 100 * 80, $war_1 / 100 * 120);
  $war_2 = $info_u['war_exp'] / 30 * ($info_u['a_attack'] / 5) + ($info_u['a_def']*4);
  $war_2 = rand($war_2 / 100 * 80, $war_2 / 100 * 120);
  
  if ( $war_1 > $war_2 ){
   echo "Вы победили поединок против <b>$info_u[login]</b>!<br />\n";
   mysql_query( "UPDATE `TDofS_user` SET `gold` = `gold` + '$duel[gold]', `a_victory` = `a_victory` + 1 WHERE `login` = '$info[login]' LIMIT 1");
   mysql_query( "UPDATE `TDofS_user` SET `a_defeat` = `a_defeat` + 1 WHERE `login` = '$info_u[login]' LIMIT 1");
  }elseif ( $war_1 < $war_2 ){
   echo "Вы проиграли поединок с <b>$info_u[login]</b>!<br />\n";
   mysql_query( "UPDATE `TDofS_user` SET `gold` = `gold` - '$duel[gold]', `a_defeat` = `a_defeat` + 1 WHERE `login` = '$info[login]' LIMIT 1");
   mysql_query( "UPDATE `TDofS_user` SET `gold` = `gold` + '" . ($duel['gold']*2) . "' ,`a_victory` = `a_victory` + 1 WHERE `login` = '$info_u[login]' LIMIT 1");
  }else{
   echo "У вас ничья в поединке с <b>$info_u[login]</b>!<br />\n";
   mysql_query( "UPDATE `TDofS_user` SET `a_drawn` = `a_drawn` + 1 WHERE `login` = '$info[login]' LIMIT 1");
   mysql_query( "UPDATE `TDofS_user` SET `gold` = `gold` + '$duel[gold]', `a_drawn` = `a_drawn` + 1 WHERE `login` = '$info_u[login]' LIMIT 1");
  }
 mysql_query("DELETE FROM `TDofS_duel` WHERE `id` = '$id'");  
 }else echo "Ошибка: Нельзя принять свою заявку!<br />\n";
}else echo "Ошибка: Такой заявки не существует!<br />\n";
}
back('arena');
break;

case 'arena_5':
div('Арена - заявки');
$sql = mysql_query ("SELECT * FROM `TDofS_duel` WHERE `login` != '$info[login]'");
echo "Доступные заявки: <br />\n";
while ( $guest = mysql_fetch_assoc($sql) ){
$info_u = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_user` WHERE `login`='$guest[login]' LIMIT 1"));
echo "Капитан: <b>$info_u[login]</b> Уровень: <b>$info_u[lvl]</b> <a href='?mod=arena_6&amp;id=$guest[id]'>[В бой]</a><br />\n";
}
back('arena');
break;

case 'arena_4':
div('Арена - отмена заявки');
if (mysql_num_rows ( mysql_query ("SELECT * FROM `TDofS_duel` WHERE `login` = '$info[login]'"))){
 $duel = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_duel` WHERE `login`='$info[login]' LIMIT 1"));
 echo "Ваша заявка отменена. Вам вернули <b>$duel[gold]</b> золота.<br />\n";
 mysql_query( "UPDATE `TDofS_user` SET `gold` = `gold` + '$duel[gold]' WHERE `login` = '$info[login]' LIMIT 1");
 mysql_query("DELETE FROM `TDofS_duel` WHERE `login` = '$info[login]'"); 
} else echo "Вы не подовали заявку.<br />\n";
back('arena');
break;

case 'arena_3':
div('Арена - подача заявки');
if ( $info['lvl'] < 5 ){
 echo "Арена доступна с пятого уровня!<br />\n";
}else{
if (!mysql_num_rows ( mysql_query ("SELECT * FROM `TDofS_duel` WHERE `login` = '$info[login]'"))){
 $kol = preg('kol', 'POST', 0);
 if ( $kol == false ) $kol = 0;
  if ( $info['gold'] >= $kol ){
 echo "Вы успешно подали заявку с ставкой <b>$kol</b> золотых.";
 mysql_query( "UPDATE `TDofS_user` SET `gold` = `gold` - '$kol' WHERE `login` = '$info[login]' LIMIT 1");
 mysql_query( "INSERT INTO `TDofS_duel` SET `login` = '$info[login]', `gold` = '$kol'");
 }else echo "У вас нет такова количества золота для ставки!<br />\n";
}else echo "Вы уже подали заявку!<br />\n";
}
back('arena');
break;

case 'arena_2':
div('Арена - подача заявки');
if (!mysql_num_rows ( mysql_query ("SELECT * FROM `TDofS_duel` WHERE `login` = '$info[login]'"))){
 echo "<form action='?mod=arena_3' method='post'>
 Ставка: <small>(целое число)</small><br />\n
 <input type='text' name='kol' maxlength='30' value='0' /><br />\n
 <input type='submit' value='Подать заявку' /></form><br />\n";
} else echo "Вы уже подали заявку!<br />\n";
back('arena');
break;

case 'arena_1':
div('Арена - тренер');
echo "Я тренер арены могу научить тебя навыкам боя на арене но за работу беру жетоны капитанов.<br />\n";
 if ( isset($_GET['skill']) ){
  $skill = preg('skill', 'GET', 1); 
  if ( $info['token'] > 0 ){
   if ( $skill == 'a_attack' || $skill == 'a_def' ){
    echo "<b>Вы успешно повысили "; if ( $skill == 'a_attack' ) echo "атаку.</b><br />\n"; else echo "защиту.</b><br />\n";
    mysql_query( "UPDATE `TDofS_user` SET `token` = `token` - 1, $skill = $skill + 1 WHERE `login` = '$info[login]' LIMIT 1");
    $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_user` WHERE `login`='$user[nick]' LIMIT 1"));
   }else echo "<b>ОШИБКА: неверный скил!</b><br />\n";
  }else echo "<b>У вас нету жетонов.</b><br />\n";
 }
echo "У вас жетонов: <b>$info[token]</b> шт.<br />\n
Атака: <b>$info[a_attack]</b> [<a href='?mod=arena_1&amp;skill=a_attack'>повысить</a>]<br />\n
Защита: <b>$info[a_def]</b> [<a href='?mod=arena_1&amp;skill=a_def'>повысить</a>]<br />\n";
back('arena');
break;

case 'arena':
div('Арена');
if ( $info['lvl'] < 5 ){
 echo "Арена доступна с пятого уровня!<br />\n";
}else{
if (!mysql_num_rows ( mysql_query ("SELECT * FROM `TDofS_duel` WHERE `login` = '$info[login]'"))) echo "<a href='?mod=arena_2'>Подать заявку</a> <br />\n"; else { $duel = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_duel` WHERE `login` = '$info[login]' LIMIT 1"));
echo "<a href='?mod=arena_4'>Отменить заявку</a> (Ставка: <b>$duel[gold]</b>) <br />\n"; }
echo "
<a href='?mod=arena_5'>Принять заявку (<b>" . mysql_num_rows ( mysql_query ("SELECT * FROM `TDofS_duel` WHERE `login` != '$info[login]'") ) . "</b>)</a> <br />\n
<a href='?mod=arena_1'>Тренер</a> <br />\n
Мой капитан:<br />\n
Уровень: <b>$info[lvl]</b><br />\n
Боевой опыт: <b>$info[war_exp]</b><br />\n
Атака: <b>$info[a_attack]</b><br />\n
Защита: <b>$info[a_def]</b><br />\n
Побед: <b>$info[a_victory]</b><br />\n
Порожений: <b>$info[a_defeat]</b><br />\n
Ничьих: <b>$info[a_drawn]</b><br />\n
";
}
back('');
break;

default:

if ( isset($_GET['x']) and isset($_GET['y']) ) {
 if ( $info['x'] != $_GET['x'] || $info['y'] != $_GET['y'] ) {
  if ( $info['time_go'] + ( 10 - $info['rate']) <= time() ) {
   $x = preg('x', 'GET', 0);
   $y = preg('y', 'GET', 0);
    if ( ($info['x'] + 1 == $x || $info['x'] - 1 == $x || $info['x'] == $x ) and ($info['y'] + 1 == $y || $info['y'] - 1 == $y || $info['y'] == $y) ){
     mysql_query( "UPDATE `TDofS_user` SET `x` = '$x', `y` = '$y', `time_go` = '" . time() . "' WHERE `login` = '$info[login]' LIMIT 1");
     $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_user` WHERE `login`='$info[login]' LIMIT 1"));
    }
  } else echo "Вы не можите передвегаться так быстро! Подождите " . ($info['time_go'] + ( 10 - $info['rate']) - time()) . " сек.\n";
 }
}

$online = mysql_num_rows ( mysql_query ("SELECT * FROM `profile` WHERE `online` = 'TDofS' AND `time` > '" .(time()-600). "'") );
if ( $online > $s['max_online'] ) mysql_query( "UPDATE `TDofS_settings` SET `max_online` = '$online' LIMIT 1");
 
div('Вы: ' . $info['login']);
echo "Золото: <b>$info[gold]</b><br />\n
Кординаты: x/y [<b>$info[x]</b>x<b>$info[y]</b>]<br />\n";
if ( $info['x'] != 30 || $info['y'] != 28 )  echo "<small>Кординаты города: 30x28</small><br />\n";
echo "<a href='?'>Обновить</a>";
if ( $info['x'] == 30 and $info['y'] == 28 ) {
div('Форт:');
echo "<a href='?x=31&amp;y=28'>Выйти в море</a> <br />\n
<a href='?mod=port'>Гавань</a> <br />\n
<a href='?mod=tavern'>Таверна</a> <br />\n
<a href='?mod=kap'>Капитолий</a> <br />\n
<a href='?mod=arena'>Арена</a> <br />\n";
} else {
div('Навигация:');
if ( $info['x']-1 > 0 and $info['y']+1 < 100 ) echo "<a href='?x=".($info['x']-1)."&amp;y=".($info['y']+1)."'>" . img('s-6.png') . "</a> ";
else echo img('s-6.png') . " ";
if ( $info['y']+1 < 100 )echo "<a href='?x=$info[x]&amp;y=".($info['y']+1)."'>" . img('s-1.png') . "</a> ";
else echo img('s-1.png') . " ";
if ( $info['x']+1 < 100 and $info['y']+1 < 100 )echo "<a href='?x=".($info['x']+1)."&amp;y=".($info['y']+1)."'>" . img('s-7.png') . "</a> <br />\n";
else echo img('s-7.png') . " <br />\n";
if ( $info['x']-1 > 0 )echo "<a href='?x=".($info['x']-1)."&amp;y=$info[y]'>" . img('s-4.png') . "</a>  ";
else echo img('s-4.png') . " ";
 echo img('s-5.png') . " ";
if ( $info['x']+1 < 100 )echo "<a href='?x=".($info['x']+1)."&amp;y=$info[y]'>" . img('s-2.png') . "</a> <br />\n";
else echo img('s-2.png') . " ";
if ( $info['x']-1 > 0 and $info['y']-1 > 0 )echo "<a href='?x=".($info['x']-1)."&amp;y=".($info['y']-1)."'>" . img('s-9.png') . "</a> ";
else echo img('s-9.png') . " ";
if ( $info['y']-1 > 0 )echo "<a href='?x=$info[x]&amp;y=".($info['y']-1)."'>" . img('s-3.png') . "</a> ";
else echo img('s-3.png') . " ";
if ( $info['x']+1 < 100 and $info['y']-1 > 0 )echo "<a href='?x=".($info['x']+1)."&amp;y=".($info['y']-1)."'>" . img('s-8.png') . "</a> <br />\n";
else echo img('s-8.png') . " <br />\n";
div('Море');
 if ( mysql_num_rows ( mysql_query ("SELECT * FROM `TDofS_treasure` WHERE `x` = '$info[x]' and `y` = '$info[y]'"))==1){
  $t = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_treasure` WHERE `x` = '$info[x]' and `y` = '$info[y]'"));
  $prc = substr( ( $info['luck'] * 2 + rand(1,10) ) / ( (rand(45,55) - $t['com'] * 3 ) / 100),0,5);
  $klad = 1;
 } else {
  $prc = substr( ( rand(1,5) * 2 + rand(1,5) ) / ( (rand(45,55) - rand(1,5) * 3 ) / 100),0,5);
  $klad = 0; }
  if ( $prc > 70 ) $prc = rand(65,76).".".rand(01,99);
echo "Шанс на сокровище: <b>$prc</b>% <br />\n
<a href='?search'>Искать сокровища</a> <br />\n";
// Если нажали на искать сокровище
 if ( isset($_GET['search']) ) {
 echo "<b>Результат:</b><br />\n";
  if ( $info['time_go'] + 60 <= time() ) {
   if ( $klad == 1 ) {
    $prc = substr( ( $info['luck'] * 2 + rand(1,10) ) / ( (rand(30,45) - $t['com'] * 3 ) / 100),0,2);
    if ( $prc > 70 ) $prc = 70;
    if ( rand(1,100) <= $prc ) {
     if ( $info['crane'] + 2 >= $t['com'] ){
      if ( $info['roms_max'] * $s['lvl_num']  - $info['roms'] < $t['kol'] ) $kol = $info['roms_max'] * $s['lvl_num'] - $info['roms']; else $kol = $t['kol'];
      $exp = floor( $kol / 10 );
      if ( $info['roms'] >= $info['roms_max'] ) echo "Вы нашли сокровища но трюмы забиты.<br />\n"; else  echo "Вы нашли <b>$kol</b> сокровищ.<br />\n";
      if ( $info['exp'] + $exp >= ( $info['lvl'] * 3 * $s['exp_lvl'] ) ) {
       echo "Вы получили новый уровень!<br />\n";
       mysql_query( "UPDATE `TDofS_user` SET `lvl` = `lvl` + 1, `skill_points` = `skill_points` + 2, `ship_points` = `ship_points` + $s[ship_points] WHERE `login` = '$info[login]' LIMIT 1");
      }
      mysql_query( "DELETE FROM `TDofS_treasure` WHERE id = '$t[id]'" ); 
      mysql_query( "UPDATE `TDofS_user` SET `roms` = `roms` + '$kol', `exp` = `exp` + '$exp' WHERE `login` = '$info[login]' LIMIT 1");
     } else echo "Вы не смогли поднять клад. <br />\n";
    } else echo "Вы не чего не нашли. <br />\n";    
   } else echo "Вы не чего не нашли. <br />\n"; 
   mysql_query( "UPDATE `TDofS_user` SET `time_go` = '" . time() . "' WHERE `login` = '$info[login]' LIMIT 1");
  } else echo "Подождите " . ($info['time_go'] + 70 - time()) . " сек.<br />\n";
 }
}
// Если начали атаковать пиратский корабль
 if ( isset($_GET['attack_pirat']) ) {
  echo "<b>Наподение на пиратский корабль:</b><br />\n";
  if ( $info['lvl'] >= 5 ){
   if ( $info['str'] / ($info['str_max'] * $s['lvl_num'] / 100) > 20 ){
    if ( mysql_num_rows ( mysql_query ("SELECT * FROM `TDofS_pirat` WHERE `x` = '$info[x]' AND `y` = '$info[y]'"))){
     $pirat = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_pirat` WHERE `x` = '$info[x]' AND `y` = '$info[y]'"));
     $a_u = $info['power_guns'] * $s['lvl_num'] / 100;
     $a_u = ceil(rand($a_u * 80, $a_u * 120) + ($a_u * $info['attack']));
     $a_p = $pirat['power_guns'] - ( $info['def'] * $s['lvl_num'] );
     if ( $a_p < $pirat['power_guns'] / 100 * 20 ) $a_p = $pirat['power_guns'] / 100 * 20;
     elseif ( $a_p > $pirat['power_guns'] / 100 * 20 AND $a_p < $pirat['power_guns'] / 100 * 80 ) $a_p = $a_p + ( $pirat['power_guns'] / 100 * 10 );
     $a_p = ceil(rand($a_p / 100 * 80, $a_p) - ($a_p / 100 * $info['defense'])); $kill = 0;
     if ( $a_u > $pirat['str'] ) { $a_u = $pirat['str']; $kill = 1; }
     if ( $a_p > $info['str'] ) $a_p = $info['str'] - 10;
     $war_exp = floor($a_u / 10) + rand(-1,1);
     echo "Вы нанесли <b>$a_u</b> урона.<br />\n Пираты нанесли <b>$a_p</b> урона по вам.<br />\n Вы получили <b>$exp</b>  боевого опыта.<br />\n"; 
     if ( $kill == 1 ) { mysql_query( "DELETE FROM `TDofS_pirat` WHERE id = '$pirat[id]'" );
     echo "Пиратское судно было потопленно! Вы получили медальон капитана.<br />\n";
     mysql_query( "UPDATE `TDofS_pirat` SET `token` = `token` + 1   WHERE `login` = '$info[login]' LIMIT 1");
     }else mysql_query( "UPDATE `TDofS_pirat` SET `str` = `str` - '$a_u'   WHERE `id` = '$pirat[id]' LIMIT 1");
     mysql_query( "UPDATE `TDofS_user` SET `str` = `str` - '$a_p', `war_exp` = `war_exp` + '$war_exp' WHERE `login` = '$info[login]' LIMIT 1");
    }else echo "Поблизости нет пиратского коробля<br />\n";
   }else echo "Нельзя атаковать с повреждением коробля более 80%.<br />\n";  
  }else echo "Наподать на пиратов можно талько с пятого уровня!<br />\n";
 }
if ( mysql_num_rows ( mysql_query ("SELECT * FROM `TDofS_pirat` WHERE `x` = '$info[x]' AND `y` = '$info[y]'"))){
 $pirat = mysql_fetch_array ( mysql_query ("SELECT * FROM `TDofS_pirat` WHERE `x` = '$info[x]' AND `y` = '$info[y]'"));
 echo "Пиратский корабль(<b>" . ceil( $pirat['str'] / ($pirat['str_max'] / 100)) . "%</b>/<b>" . ($pirat['power_guns'] / 100) . "</b>) <a href='?attack_pirat'>[Атаковать]</a><br />\n";
}
if ( mysql_num_rows ( mysql_query ("SELECT * FROM `TDofS_user` WHERE `x` = '$info[x]' AND `y` = '$info[y]'  AND `date_last` > '" .(time()-600). "' AND `login` != '$info[login]'"))){
 div("Корабли:");
 $user_i = mysql_query ("SELECT * FROM `TDofS_user` WHERE `x` = '$info[x]' AND `y` = '$info[y]'  AND `date_last` > '" .(time()-600). "' AND `login` != '$info[login]'");
 while ( $user_info = mysql_fetch_array ( $user_i ) ) {
 echo $user_info['login'] . " [$user_info[lvl]]<br />\n";
 }
}

div('Меню:');
echo "
<a href='?mod=my_ship'>Мой корабль</a> <br />\n
<a href='?mod=liaders'>Лидеры</a> <br />\n
<a href='?mod=stat'>Статистика</a> <br />\n
<a href='?mod=about_game'>Об игре/FAQ</a> <br />\n
Онлайн: <a href='?mod=online'>$online </a><br />\n </div>";
if ( $user['level'] >= 4 ) echo div('<a href="TDofS_a.php">Админка</a><br />');
break;
}
echo "<b><a href='games.php'>В игры</a></b><br />\n";
navig();
foot();
?>